Issue2141

classification
Title: Subclassing bytearray and calling __len__() results in a StackOverflowError
Type: crash Severity: normal
Components: Core Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gthank, indra, zyasoft
Priority: Keywords: patch

Created on 2014-05-12.11:14:18 by indra, last changed 2014-05-27.16:39:55 by zyasoft.

Files
File name Uploaded Description Edit Remove
bytearray_stackoverflow.patch indra, 2014-05-12.11:14:18
Messages
msg8381 (view) Author: Indra Talip (indra) Date: 2014-05-12.11:14:18
If bytearray is subclassed then calling len() on the derived class leads to a recursive loop between PyByteArray.bytearray___len__() and PyByteArrayDerived.__len__() due to PyByteArray.bytearray___len__() calling __len__() without specifying super.__len__().
msg8395 (view) Author: Hank Gay (gthank) Date: 2014-05-13.19:01:34
Must-have for beta 4.
msg8577 (view) Author: Jim Baker (zyasoft) Date: 2014-05-27.16:39:54
Fixed in http://hg.python.org/jython/rev/c35aa984452f
History
Date User Action Args
2014-05-27 16:39:55zyasoftsetstatus: open -> closed
resolution: fixed
messages: + msg8577
nosy: + zyasoft
2014-05-13 19:01:34gthanksetnosy: + gthank
messages: + msg8395
2014-05-12 11:14:18indracreate